#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Видео
"""

# ######################################################################################################################
# Импорт необходимых инструментов
# ######################################################################################################################
# Подавление Warning
import warnings
for warn in [UserWarning, FutureWarning]: warnings.filterwarnings('ignore', category = warn)

from dataclasses import dataclass # Класс данных

# Персональные
from big5.modules.lab.download import Download # Загрузка файлов

# ######################################################################################################################
# Сообщения
# ######################################################################################################################
@dataclass
class  VideoMessages(Download):
    """Класс для сообщений

    Args:
        lang (str): смотреть :attr:`~big5.modules.core.language.Language.lang`
        color_simple (str): смотреть :attr:`~big5.modules.core.settings.Settings.color_simple`
        color_info (str): Смотреть :attr:`~big5.modules.core.settings.Settings.color_info`
        color_err (str): Смотреть :attr:`~big5.modules.core.settings.Settings.color_err`
        bold_text (bool): Смотреть :attr:`~big5.modules.core.settings.Settings.bold_text`
        num_to_df_display (int): Смотреть :attr:`~big5.modules.core.settings.Settings.num_to_df_display`
        text_runtime (str): Смотреть :attr:`~big5.modules.core.settings.Settings.text_runtime`
    """

    # ------------------------------------------------------------------------------------------------------------------
    # Конструктор
    # ------------------------------------------------------------------------------------------------------------------

    def __post_init__(self):
        super().__post_init__() # Выполнение конструктора из суперкласса

# ######################################################################################################################
# Аудио
# ######################################################################################################################
@dataclass
class Video(VideoMessages):
    """Класс для обработки видео

    Args:
        lang (str): Смотреть :attr:`~big5.modules.core.language.Language.lang`
        color_simple (str): Смотреть :attr:`~big5.modules.core.settings.Settings.color_simple`
        color_info (str): Смотреть :attr:`~big5.modules.core.settings.Settings.color_info`
        color_err (str): Смотреть :attr:`~big5.modules.core.settings.Settings.color_err`
        bold_text (bool): Смотреть :attr:`~big5.modules.core.settings.Settings.bold_text`
        num_to_df_display (int): Смотреть :attr:`~big5.modules.core.settings.Settings.num_to_df_display`
        text_runtime (str): Смотреть :attr:`~big5.modules.core.settings.Settings.text_runtime`
    """

    # ------------------------------------------------------------------------------------------------------------------
    # Конструктор
    # ------------------------------------------------------------------------------------------------------------------

    def __post_init__(self):
        super().__post_init__() # Выполнение конструктора из суперкласса

    # ------------------------------------------------------------------------------------------------------------------
    # Свойства
    # ------------------------------------------------------------------------------------------------------------------

    # ------------------------------------------------------------------------------------------------------------------
    # Внутренние методы (приватные)
    # ------------------------------------------------------------------------------------------------------------------

    # ------------------------------------------------------------------------------------------------------------------
    # Внутренние методы (защищенные)
    # ------------------------------------------------------------------------------------------------------------------

    # ------------------------------------------------------------------------------------------------------------------
    # Внешние методы
    # ------------------------------------------------------------------------------------------------------------------
